<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubapi
 * @version 0.8.3
 */
class OnpubAuthor
{
    private $ID;
    private $imageID;
    private $givenNames;
    private $familyName;
    private $displayAs;
    private $created;
    private $modified;
    private $image;

    function __construct()
    {
        $this->ID = null;
        $this->imageID = null;
        $this->givenNames = "";
        $this->familyName = "";
        $this->displayAs = "";
        $this->created = new OnpubDateTime();
        $this->modified = new OnpubDateTime();
        $this->image = null;
    }

    /**
     * @return int
     */
    public function getID()
    {
        return $this->ID;
    }

    /**
     * @param int
     */
    public function setID( $ID )
    {
        $this->ID = $ID;
    }

    /**
     * @return int
     */
    public function getImageID()
    {
        return $this->imageID;
    }

    /**
     * @param int
     */
    public function setImageID( $imageID )
    {
        $this->imageID = $imageID;
    }

    /**
     * @return string
     */
    public function getGivenNames()
    {
        return $this->givenNames;
    }

    /**
     * @param string
     */
    public function setGivenNames( $givenNames )
    {
        $this->givenNames = $givenNames;
    }

    /**
     * @return string
     */
    public function getFamilyName()
    {
        return $this->familyName;
    }

    /**
     * @param string
     */
    public function setFamilyName( $familyName )
    {
        $this->familyName = $familyName;
    }

    /**
     * @return string
     */
    public function getDisplayAs()
    {
        return $this->displayAs;
    }

    /**
     * @param string
     */
    public function setDisplayAs( $displayAs )
    {
        $this->displayAs = $displayAs;
    }

    /**
     * @return OnpubDateTime
     */
    public function getCreated()
    {
        return $this->created;
    }

    /**
     * @param OnpubDateTime
     */
    public function setCreated( OnpubDateTime $created )
    {
        $this->created = $created;
    }

    /**
     * @return OnpubDateTime
     */
    public function getModified()
    {
        return $this->modified;
    }

    /**
     * @param OnpubDateTime
     */
    public function setModified( OnpubDateTime $modified )
    {
        $this->modified = $modified;
    }

    /**
     * @return OnpubImage
     */
    public function getImage()
    {
        return $this->image;
    }

    /**
     * @param OnpubImage $image
     */
    public function setImage( OnpubImage $image )
    {
        $this->image = $image;
    }
}

?>
