<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubapi
 * @version 0.8.3
 */
class OnpubSAMap
{
    private $ID;
    private $sectionID;
    private $articleID;
    private $created;
    private $modified;

    function __construct()
    {
        $this->ID = null;
        $this->sectionID = null;
        $this->articleID = null;
        $this->created = new OnpubDateTime();
        $this->modified = new OnpubDateTime();
    }

    /**
     * @return int
     */
    public function getID()
    {
        return $this->ID;
    }

    /**
     * @param int
     */
    public function setID( $ID )
    {
        $this->ID = $ID;
    }

    /**
     * @return int
     */
    public function getSectionID()
    {
        return $this->sectionID;
    }

    /**
     * @param int
     */
    public function setSectionID( $sectionID )
    {
        $this->sectionID = $sectionID;
    }

    /**
     * @return int
     */
    public function getArticleID()
    {
        return $this->articleID;
    }

    /**
     * @param int
     */
    public function setArticleID( $articleID )
    {
        $this->articleID = $articleID;
    }

    /**
     * @return OnpubDateTime
     */
    public function getCreated()
    {
        return $this->created;
    }

    /**
     * @param OnpubDateTime
     */
    public function setCreated( OnpubDateTime $created )
    {
        $this->created = $created;
    }

    /**
     * @return OnpubDateTime
     */
    public function getModified()
    {
        return $this->modified;
    }

    /**
     * @param OnpubDateTime
     */
    public function setModified( OnpubDateTime $modified )
    {
        $this->modified = $modified;
    }
}

?>
