<?php

/* Onpub (TM)
 * Copyright (C) 2007 Onpubco <http://onpubco.com/>
 * Author: Corey HM Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

define( "ONPUBAPI_VERSION", "0.8.3" );

// Database Class
include( "classes/OnpubDatabase.php" );

// Table Classes
include( "classes/OnpubAAMaps.php" );
include( "classes/OnpubArticles.php" );
include( "classes/OnpubAuthors.php" );
include( "classes/OnpubImages.php" );
include( "classes/OnpubSAMaps.php" );
include( "classes/OnpubSections.php" );
include( "classes/OnpubWebsites.php" );
include( "classes/OnpubWSMaps.php" );

// Row Classes
include( "classes/OnpubArticle.php" );
include( "classes/OnpubAAMap.php" );
include( "classes/OnpubAuthor.php" );
include( "classes/OnpubImage.php" );
include( "classes/OnpubSection.php" );
include( "classes/OnpubSAMap.php" );
include( "classes/OnpubWebsite.php" );
include( "classes/OnpubWSMap.php" );

// Option Classes
include ( "classes/OnpubQueryOptions.php" );

// Utility Classes
include( "classes/OnpubDateTime.php" );

?>
