<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.3
 */
class OnpubCreatedWidget
{
    private $created;

    function __construct( OnpubDateTime $created )
    {
        $this->created = $created;
    }

    public function display()
    {
        echo '<tr>' . "\n";

        echo '<td>' . "\n";

        echo '<b>Created</b><br />' . "\n";
        echo 'Year: <input type="text" maxlength="4" size="4" name="createdYear" value="' . $this->created->getYear() . '" />' . "\n";
        echo 'Month:' . "\n";

        echo '<select name="createdMonth">' . "\n";

        for ( $i = 1; $i <= 12; $i++ ) {
            $month = "";

            switch ( $i ) {
                case 1:
                $month = "Jan";
                break;
                case 2:
                $month = "Feb";
                break;
                case 3:
                $month = "Mar";
                break;
                case 4:
                $month = "Apr";
                break;
                case 5:
                $month = "May";
                break;
                case 6:
                $month = "Jun";
                break;
                case 7:
                $month = "Jul";
                break;
                case 8:
                $month = "Aug";
                break;
                case 9:
                $month = "Sep";
                break;
                case 10:
                $month = "Oct";
                break;
                case 11:
                $month = "Nov";
                break;
                case 12:
                $month = "Dec";
                break;
            }

            if ( $this->created->getMonth() == $i ) {
                echo '<option value="' . $i . '" selected="selected">' . $month . '</option>';
            }
            else {
                echo '<option value="' . $i . '">' . $month . '</option>';
            }
        }

        echo '</select>' . "\n";
/*
        echo 'Day:' . "\n";

        echo '<select name="createdDay">' . "\n";

        for ( $i = 1; $i <= 31; $i++ ) {
            if ( $this->created->getDay() == $i ) {
                echo '<option value="' . $i . '" selected="selected">' . $i . '</option>';
            }
            else {
                echo '<option value="' . $i . '">' . $i . '</option>';
            }
        }

        echo '</select>' . "\n";
*/
        echo 'Day: <input type="text" maxlength="2" size="2" name="createdDay" value="' . $this->created->getDay() . '" />' . "\n";

        echo 'Hour:' . "\n";

        echo '<select name="createdHour">' . "\n";

        for ( $i = 0; $i < 24; $i++ ) {
            if ( $i < 10 ) {
                $num = "0" . $i;
            }
            else {
                $num = $i;
            }

            if ( $this->created->getHour() == $i ) {
                echo '<option value="' . $num . '" selected="selected">' . $num . '</option>';
            }
            else {
                echo '<option value="' . $num . '">' . $num . '</option>';
            }
        }

        echo '</select>' . "\n";

        echo 'Minute:' . "\n";

        echo '<select name="createdMinute">' . "\n";

        for ( $i = 0; $i < 60; $i++ ) {
            if ( $i < 10 ) {
                $num = "0" . $i;
            }
            else {
                $num = $i;
            }

            if ( $this->created->getMinute() == $i ) {
                echo '<option value="' . $num . '" selected="selected">' . $num . '</option>';
            }
            else {
                echo '<option value="' . $num . '">' . $num . '</option>';
            }
        }

        echo '</select>' . "\n";

        echo 'Second:' . "\n";

        echo '<select name="createdSecond">' . "\n";

        for ( $i = 0; $i < 60; $i++ ) {
            if ( $i < 10 ) {
                $num = "0" . $i;
            }
            else {
                $num = $i;
            }

            if ( $this->created->getSecond() == $i ) {
                echo '<option value="' . $num . '" selected="selected">' . $num . '</option>';
            }
            else {
                echo '<option value="' . $num . '">' . $num . '</option>';
            }
        }

        echo '</select>' . "\n";

        echo '</td>' . "\n";
        echo '</tr>' . "\n";
    }
}

?>
