<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubapi
 * @version 0.8.3
 */
class OnpubImage
{
    private $ID;
    private $websiteID;
    private $fileName;
    private $description;
    private $created;
    private $modified;
    private $website;

    function __construct()
    {
        $this->ID = null;
        $this->websiteID = null;
        $this->fileName = "";
        $this->description = "";
        $this->created = new OnpubDateTime();
        $this->modified = new OnpubDateTime();
        $this->website = null;
    }

    /**
     * @return int
     */
    public function getID()
    {
        return $this->ID;
    }

    /**
     * @param int
     */
    public function setID( $ID )
    {
        $this->ID = $ID;
    }

    /**
     * @return int
     */
    public function getWebsiteID()
    {
        return $this->websiteID;
    }

    /**
     * @param int
     */
    public function setWebsiteID( $websiteID )
    {
        $this->websiteID = $websiteID;
    }

    /**
     * @return string
     */
    public function getFileName()
    {
        return $this->fileName;
    }

    /**
     * @param string
     */
    public function setFileName( $fileName )
    {
        $this->fileName = $fileName;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param string
     */
    public function setDescription( $description )
    {
        $this->description = $description;
    }

    /**
     * @return OnpubDateTime
     */
    public function getCreated()
    {
        return $this->created;
    }

    /**
     * @param OnpubDateTime
     */
    public function setCreated( OnpubDateTime $created )
    {
        $this->created = $created;
    }

    /**
     * @return OnpubDateTime
     */
    public function getModified()
    {
        return $this->modified;
    }

    /**
     * @param OnpubDateTime
     */
    public function setModified( OnpubDateTime $modified )
    {
        $this->modified = $modified;
    }

    /**
     * @return OnpubWebsite
     */
    public function getWebsite()
    {
        return $this->website;
    }

    /**
     * @param OnpubWebsite $website
     */
    public function setWebsite( OnpubWebsite $website )
    {
        $this->website = $website;
    }
}

?>
